Bug 1566571 - mate-screensaver does not maintain screen lock after waking displays from sleep
Summary: mate-screensaver does not maintain screen lock after waking displays from sleep
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-screensaver
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 14:25 UTC by James Boyle
Modified: 2018-09-02 05:55 UTC (History)
3 users (show)

Fixed In Version: mate-screensaver-1.20.1-2.fc27 mate-screensaver-1.20.1-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-02 04:49:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/mate-desktop mate-screensaver issues 152 0 None None None 2018-04-12 14:25:52 UTC

Description James Boyle 2018-04-12 14:25:53 UTC
mate-screensaver should keep the user's session locked until valid authentication has taken place (password entered, etc.), but it fails to perform this important task

Steps to reproduce and the different types of behavior produced.  3.a. results in the expected behavior (screen stays locked), but 3.

1. Have two display-port attached displays on a fresh install of Fedora 27. Mine are in ports 3 & 4, in case that makes any difference. 

2. Login to MATE.  Press ctrl-alt-L or allow the screensaver timeout to lock the screen.

3.a. Bump the mouse or type a key on the keyboard before the displays have either been placed into power save mode or put to sleep:
< MATE presents the password prompt and the user's windows remain hidden until the password has been correctly entered. >

3.b. Bump the mouse or type a key on the keyboard after the displays have been put into power save mode, but before they have been put to sleep:
< MATE presents the unlock with password prompt, but displays (doesn't hide) the windows of your desktop. You cannot interact with the applications or windows until the password has been correctly entered, but the content of the user's desktop is plainly visible. >

3.c. Bump the mouse to type a key on the keyboard after the displays have been put to sleep:
< MATE blanks one display where the password dialog box would have been, the other is available for interaction WITHOUT having entered in the correct password. New applications can be launched, all applications may be used with the same privilege level of the user who had previously logged in and believed that their desktop was locked. >

Version-Release number of selected component (if applicable):
mate-screensaver-1.19.1-1.fc27.x86_64

How reproducible: Always

Refer also to: https://github.com/mate-desktop/mate-screensaver/issues/152

Comment 1 Wolfgang Ulbrich 2018-08-16 12:44:55 UTC
I just tested this with f28 today using following settings.
- MATE is built from master (developing branch)
- using a second monitor, plugged in via hdmi port to my notebook
- a) screensaver bump in after 1 min
- b) display power off after 5 min.
- c) suspend-to-ram after 10 min

Ending a) state gives me the lockscreen-dialog on notebook display and second monitor shows the screensaver.

Ending b) state gives me the lockscreen-dialog on notebook display and second monitor shows a black screen.

Ending c) state gives me the lockscreen-dialog on notebook display and second monitor shows a black screen.

I get same results if the external monitor is the primary-monitor.

Do i miss something?
Do you see the issue with using an vga or hdmi port?

My notebook does't have a display port but i can test this later with my main box with nvidia graphics which have a display and hdmi port.

Well, i know that there is a problem as there are more reports at rhbz or at MATE upstream.

Comment 2 James Boyle 2018-08-24 18:38:17 UTC
I haven't tested with either HDMI or VGA; I have a workstation with a Radeon Pro WX 7100 and two 27" LG displays connected using DisplayPort to DisplayPort cables, in ports 3 & 4 as described above.  

I haven't tested this in a while, so maybe it's worthwhile for me to revert my screensaver / power settings to see what happens.  I have upgraded to F28 in the mean time, so maybe it will be different.

Comment 3 Fedora Update System 2018-08-25 14:53:00 UTC
mate-screensaver-1.20.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab94a41797

Comment 4 Fedora Update System 2018-08-25 14:53:27 UTC
mate-screensaver-1.20.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4c88b2bb5

Comment 5 Fedora Update System 2018-08-25 19:59:17 UTC
mate-screensaver-1.20.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab94a41797

Comment 6 Fedora Update System 2018-08-25 22:37:45 UTC
mate-screensaver-1.20.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4c88b2bb5

Comment 7 Fedora Update System 2018-09-02 04:49:11 UTC
mate-screensaver-1.20.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-09-02 05:55:58 UTC
mate-screensaver-1.20.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.